:root {
    --body-padding: 200px;
    /* colours */
    --colour-primary: #000435;
    --colour-secondary: #7b7c81;
}

* {
    box-sizing: border-box;
}

@media (min-width: 768px) {
    body>* {
        min-width: 768px;
        max-width: 80%;
    }

    #site-header {
        flex-direction: row !important;
    }

    #site-header div {
        align-items: start !important;
    }

    .with-image .image-frame {
        float: right;
        margin: 0 1em 1em 1em;
    }
}

body {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    font-family: ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif;
    font-size: 1em;

    /* background: #d1cfcf;
    background: linear-gradient(180deg, rgb(225, 225, 225) 0%, rgba(235, 235, 235, 0.63) 15%, rgba(255, 255, 255, 1) 100%); */
}

body>* {
    min-width: 320px;
    width: 100%;
}

body>hr {
    height: 1px;
    background-color: var(--colour-secondary);
    border: none
}

/* navigation */
nav {
    color: var(--colour-secondary);
    margin-bottom: 1em;
}

nav a {
    text-decoration: none;
    color: var(--colour-secondary);
}

nav a:hover {
    color: var(--colour-primary);
}



#site-header {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

#site-header div {
    display: flex;
    flex-direction: column;
    align-items: center;
}

#site-header div h1 {
    padding: 0;
    margin: 0;
    line-height: 1;
    font-size: 3.75em;
    font-weight: 700;
}

#site-header div h1::first-letter {
    font-weight: 700;
    color: var(--colour-primary);
}

#site-header div h1 a {
    color: var(--colour-secondary);
    text-decoration: none;
}

#site-header div h1 a:hover {
    color: var(--colour-primary);
    text-decoration: none;
}

#site-header div h2 {
    padding: 0;
    margin: 0;
    font-size: 0.875rem;
    line-height: 1.25rem;
    color: var(--colour-secondary);
}


#site-header nav {
    display: flex;
    flex-grow: 1;
    justify-content: flex-end;
    align-items: center;
    gap: 1em;
    display: flex;
    padding-top: 1em;
}

#site-header nav a img:hover {
    opacity: 0.6;
}

#site-footer {
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 0.5rem;
    padding-top: 2.5rem;
    padding-bottom: 2.5rem;
    color: var(--colour-secondary);
}

#site-footer nav {
    display: flex;
    gap: 1rem;
    align-items: center;
}


/* ***************************** */
article {
    hyphens: auto;
    overflow-wrap: break-word;
}

article header {
    text-align: center;
}

.exhibitions-list {
    list-style-type: none;
    padding: 0;
}

.exhibitions-list a {
    text-decoration: none;
    color: var(--colour-primary);
}

.exhibitions-list a:hover {
    text-decoration: none;
    color: var(--colour-secondary);
}

.exhibitions-list li {
    display: flex;
    flex-direction: column;
    margin-bottom: 2em;
    border-bottom: 1px solid var(--colour-secondary);
}

.exhibitions-list :last-child {
    border-bottom: 0;
}

.articles-list {
    max-width: 100%;

    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 2em;
}

.articles-list a {
    display: flex;
    align-items: center;
    flex: 1 1 40%;
    text-decoration: none;
}

.articles-list a:hover {
    text-decoration: underline;
}


.articles-list a img {
    width: 100%;
}

/* images */
.image-frame {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.image-frame img {
    border: 10px solid white;
    outline: 2px solid black;
    margin-left: auto;
    margin-right: auto;
    max-width: 100%;
}

.image-frame.caption-position-top::before {
    content: attr(data-caption);
    display: block;
    margin-bottom: 0.2em;
    font-family: sans-serif;
    font-size: 0.9em;
    font-style: italic;
    text-align: center;
    color: var(--colour-secondary);
}

.image-frame.caption-position-top::after {
    content: "" !important;
}


.image-frame::after {
    content: attr(data-caption);
    display: block;
    margin-top: 0.2em;
    font-family: sans-serif;
    font-size: 0.9em;
    font-style: italic;
    text-align: center;
    color: var(--colour-secondary);
}

.image-frame[data-caption=""]::after,
.image-frame:not([data-caption])::after {
    content: none;
    display: none;
}

.instagram img {
    opacity: 0.3;
}

/* quote */
.quote-container {
    margin: 1em 0 1em 0;
    display: flex;
    justify-content: flex-end;
    flex-direction: column;
}

.quote-container span {
    text-align: right;
}

.quote-container .quote {
    font-style: italic;
    color: var(--colour-primary);
}

.quote-container .quote::before,
.quote-container .quote::after {
    content: '"';
}

.quote-container .author {
    font-style: italic;
    color: var(--colour-secondary);
}

.from-template {
    max-width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 2em;
    margin-bottom: 2em;
}

.from-template .image-frame {
    flex: 1 1 40%;
}

.from-template p {
    flex-basis: 100%;
    flex-grow: 2;
    width: 100%;
    padding: 0;
    margin: 0;
}